Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS > Class Template Reference

`#include <TypedArraySample.h>`

Inherits Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample.

Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >:
[legend]

## Public Types
typedef TRAITS | traits_type
typedef TypedArraySample< TRAITS > | this_type
typedef TRAITS::value_type | value_type
typedef std::vector< value_type > | value_vector
Public Types inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample
typedef ArraySample | this_type
typedef ArraySampleKey | Key
typedef Key | key_type

## Public Member Functions
| TypedArraySample ()
| TypedArraySample (const value_type *iValues, size_t iNumVals)
| TypedArraySample (const value_type *iValues, const Dimensions &iDims)
| TypedArraySample (const value_vector &iVec)
| TypedArraySample (const value_vector &iVec, const Dimensions &iDims)
| TypedArraySample (const AbcA::ArraySample &iCopy)
TypedArraySample< TRAITS > | operator= (const AbcA::ArraySample &iCopy)
const value_type * | get () const
const value_type * | operator-> () const
const value_type & | operator[] (const size_t i) const
size_t | size () const
| ALEMBIC_OPERATOR_BOOL (ArraySample::valid())
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample
| ArraySample ()
| ArraySample (const void *iData, const DataType &iDataType, const Dimensions &iDims)
const void * | getData () const
const DataType & | getDataType () const
const Dimensions & | getDimensions () const
size_t | size () const
Key | getKey () const
bool | valid () const
void | reset ()

## Static Public Member Functions
static TypedArraySample< TRAITS > | emptySample ()

## Detailed Description

template<class TRAITS>
class Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >

Definition at line 51 of file TypedArraySample.h.

## Member Typedef Documentation

## ◆ this_type

template<class TRAITS>

typedef TypedArraySample<TRAITS> Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::this_type

Definition at line 55 of file TypedArraySample.h.

## ◆ traits_type

template<class TRAITS>

typedef TRAITS Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::traits_type

Definition at line 54 of file TypedArraySample.h.

## ◆ value_type

template<class TRAITS>

typedef TRAITS::value_type Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::value_type

Definition at line 56 of file TypedArraySample.h.

## ◆ value_vector

template<class TRAITS>

typedef std::vector<value_type> Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::value_vector

Definition at line 57 of file TypedArraySample.h.

## Constructor & Destructor Documentation

## ◆ TypedArraySample() [1/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( |  | ) |
| inline

Definition at line 61 of file TypedArraySample.h.

## ◆ TypedArraySample() [2/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( | const value_type * | iValues,
|  | size_t | iNumVals )
| inline

Definition at line 66 of file TypedArraySample.h.

## ◆ TypedArraySample() [3/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( | const value_type * | iValues,
|  | const Dimensions & | iDims )
| inline

Definition at line 70 of file TypedArraySample.h.

## ◆ TypedArraySample() [4/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( | const value_vector & | iVec | ) |
| inline

Definition at line 76 of file TypedArraySample.h.

## ◆ TypedArraySample() [5/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( | const value_vector & | iVec,
|  | const Dimensions & | iDims )
| inline

Definition at line 83 of file TypedArraySample.h.

## ◆ TypedArraySample() [6/6]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::TypedArraySample | ( | const AbcA::ArraySample & | iCopy | ) |
| inline

Definition at line 99 of file TypedArraySample.h.

## Member Function Documentation

## ◆ ALEMBIC_OPERATOR_BOOL()

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::ALEMBIC_OPERATOR_BOOL | ( | ArraySample::valid() |  | ) |

## ◆ emptySample()

template<class TRAITS>

TypedArraySample< TRAITS > Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::emptySample | ( |  | ) |
| inline static

Definition at line 136 of file TypedArraySample.h.

## ◆ get()

template<class TRAITS>

const value_type * Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::get | ( |  | ) | const
| inline

Definition at line 120 of file TypedArraySample.h.

Referenced by Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< BooleanTPTraits >::operator->(), and Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< BooleanTPTraits >::operator[]().

Here is the caller graph for this function:

## ◆ operator->()

template<class TRAITS>

const value_type * Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::operator-> | ( |  | ) | const
| inline

Definition at line 125 of file TypedArraySample.h.

## ◆ operator=()

template<class TRAITS>

TypedArraySample< TRAITS > Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::operator= | ( | const AbcA::ArraySample & | iCopy | ) |
| inline

Definition at line 108 of file TypedArraySample.h.

## ◆ operator[]()

template<class TRAITS>

const value_type & Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::operator[] | ( | const size_t | i | ) | const
| inline

Definition at line 128 of file TypedArraySample.h.

## ◆ size()

template<class TRAITS>

size_t Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >::size | ( |  | ) | const
| inline

Definition at line 134 of file TypedArraySample.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/TypedArraySample.h